from setuptools import setup, Extension
from Cython.Build import cythonize
import numpy as np

USE_CYTHON = False   # command line option, try-import, ...

ext = '.pyx' if USE_CYTHON else '.c'

extensions = [Extension("fitgif.cython_helpers", sources=["fitgif/cython_helpers"+ext], include_dirs=[np.get_include(), "."])]

if USE_CYTHON:
    from Cython.Build import cythonize
    extensions = cythonize(extensions)

setup(
        name='gif_fitting',
        version='0.5',
        packages=['fitgif', 'bbp_analysis'],
        ext_modules=extensions,
        url='https://github.com/awakenting/gif_fitting',
        license='GPL',
        author='awakenting',
        author_email='an.warkentin@web.de',
        description='bluebrain project data analysis, including fitting of Generalized Integrate&Fire models'
)
